<!--- Capitalizes the first letter of any string --->
<cffunction name="Capitalize">
  <cfargument name="Str" type="string" required="Yes">
  
  <!--- Return string with first letter capitalized --->
  <cfreturn UCase(Left(Str, 1)) & LCase(Right(Str, Len(Str) - 1))>
</cffunction>


<!--- Capitalizes every word in a given string --->
<cffunction name="TitleCase">
  <cfargument name="Str" type="string" required="Yes">

  <!--- This is the value that we'll return --->
  <cfset Result = "">
  
  <!--- Loop through each word in the string --->
  <!--- (We'll assume that the words are separated by spaces) --->
  <cfloop list="#Str#" index="ThisWord" delimiters=" ">
    <cfset Result = Result & Capitalize(ThisWord) & " ">
  </cfloop>
  
  <!--- Return the result --->
  <cfreturn Result>
</cffunction>