<!--- The exercise in your book for user defined functions (UDFs) --->
<cfscript>
  function IsEmail(str) {
    //supports new top level tlds
    if (REFindNoCase("^['_a-z0-9-]+(\.['_a-z0-9-]+)*@[a-z0-9-]+(\.[a-z0-9-]+)*\.(([a-z]{2,3})|(aero|coop|info|museum|name))$",str)) return TRUE;
    	else return FALSE;
  }
</cfscript>



<!--- The tag-based equivalent --->
<cffunction name="IsEmail">
  <cfargument name="str" type="string" required="Yes">

  <cfif REFindNoCase("^['_a-z0-9-]+(\.['_a-z0-9-]+)*@[a-z0-9-]+(\.[a-z0-9-]+)*\.(([a-z]{2,3})|(aero|coop|info|museum|name))$",str)>
    <cfreturn true>
  <cfelse>
    <cfreturn false>
  </cfif>  
</cffunction>


<!--- Here's a shorter way to write the above --->
<cffunction name="IsEmail" returntype="boolean">
  <cfargument name="str" type="string" required="No">
  
  <cfreturn REFindNoCase("^['_a-z0-9-]+(\.['_a-z0-9-]+)*@[a-z0-9-]+(\.[a-z0-9-]+)*\.(([a-z]{2,3})|(aero|coop|info|museum|name))$",str)>
</cffunction>


