

<!--- Loop 1: "For" --->
<!--- <cfloop from="5" to="1" step="-1" index="i">
  <!--- Everything here executes 5 times --->
  
  <cfoutput>
    #i#
  </cfoutput>
</cfloop> --->

<cffunction name="TitleCase">
  <cfargument name="Str" type="string" required="Yes">

  <!--- This is what we'll return --->
  <cfset result = "">

  <cfloop list="#Str#" index="ThisWord" delimiters=" ">
    <!--- Make capped version of current word --->
    <cfset CapitalizedWord = UCase(Left(ThisWord, 1)) & LCase(Right(ThisWord, Len(ThisWord) - 1))>
  
    <!--- Append current word to final result --->
    <cfset result = result & CapitalizedWord & " ">
  </cfloop>
  
  <!--- Return the result --->
  <cfreturn result>
</cffunction>

Here's a test:
<cfoutput>#TitleCase("this is my title let's see what happens")#</cfoutput>
