<!--- Get info from database --->
<cfquery name="ProjData" datasource="Timesheet">
  SELECT 
	  p.Project_ID,
		p.ProjectName, 
		c.ClientName
	FROM Projects p, Clients c
	WHERE p.Client_ID = c.Client_ID
	ORDER BY ClientName, ProjectName
</cfquery>



<html>
<head>
<title>Project List</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">

<style type="text/css">
  TH.data {font-family:arial;font-size:14px;background:navy;color:white}
  
	TD.data {font-family:arial;font-size:14px;background:white}
  TD.data2 {font-family:arial;font-size:14px;background:efefef}
</style>

</head>

<body>

<h2>Current Projects</h2>

<!--- HTML table of records --->
<table width="300">
  <!--- HTML table header --->
	<tr>
		<th class="data">Project</th>
		<th class="data">Client</th>
	</tr>
	<!--- For each record... --->
	<cfoutput query="ProjData">
	  <cfif ProjData.CurrentRow mod 2 eq 0>
		  <cfset className = "data">
		<cfelse>
		  <cfset className = "data2">
		</cfif>
	
		<tr>
			<td class="#className#">#ClientName#</td>
			<td class="#className#"><a href="ProjReport.cfm?Project_ID=#Project_ID#">#ProjectName#</a></td>
		</tr>
	</cfoutput>
</table>


</body>
</html>
