<!--- Start off assuming that we'll show the form --->
<cfset ShowTheForm = True>

<!--- If the form is only being shown now --->
<cfif CGI.REQUEST_METHOD eq "GET">
  <cfset IsFirstNameValid = True>
  <cfset IsLastNameValid = True>
  <cfset IsEmailAddressValid = True>
	
<!--- If the form is being submitted --->
<cfelse>
  <cfset IsFirstNameValid = False>
  <cfset IsLastNameValid = False>
  <cfset IsEmailAddressValid = False>

  <!--- Check the first name --->
  <cfif Trim(Form.FirstName) neq "">
	  <cfset IsFirstNameValid = True>
	</cfif>

  <!--- Check the last name --->
  <cfif Trim(Form.LastName) neq "">
	  <cfset IsLastNameValid = True>
	</cfif>

  <!--- Check the email address --->
  <cfif Trim(Form.EmailAddress) neq "" and Form.EmailAddress contains "@" and Form.EmailAddress contains ".">
	  <cfset IsEmailAddressValid = True>
	</cfif>

  <!--- Should we proceed? --->
  <cfset IsEverythingValid = IsFirstNameValid and IsLastNameValid and IsEmailAddressValid>
  
	<!--- If we should proceed... --->
	<cfif IsEverythingValid>
	  <!--- Sensitive Code Here --->
	  (we processed it)

    		
	  <cfset ShowTheForm = False>
	</cfif>

</cfif>	
	
	
	
	
<html>
<head>
<title>Untitled Document</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
</head>

<body>

	
<!--- If we're meant to show the form --->
<cfif ShowTheForm eq True>

	<cfform action="" preservedata="yes" method="post">

    <!--- First Name --->
		<p>First Name:<br>  
		<cfif IsFirstNameValid eq False>
			<font color="red"><strong>You must provide a first name.</strong><br></font>
		</cfif>
		<!--- Text-entry field --->
  	<cfinput type="text" name="FirstName" size="20">
		
		<!--- Last Name --->
		<p>Last Name:<br>
		<cfif IsLastNameValid eq False>
			<font color="red"><strong>You must provide a last name.</strong><br></font>
		</cfif>
		<!--- Text-entry field --->
		<cfinput type="text" name="LastName" size="20">
	
	
	  <!--- Email --->
		<p>Email:<br>
		<cfif IsEmailAddressValid eq False>
			<font color="red"><strong>You must provide an email address.</strong><br></font>
		</cfif>
		<!--- Text-entry field --->
		<cfinput type="text" name="EmailAddress" size="20">
	
	  <p>
		<input type="submit" value="Submit This Now">
		
	</cfform>

</cfif>



</body>
</html>
