<!--- Search criteria, passed by form --->
<!--- Defaults to an empty string --->
<cfparam name="Form.SearchWords" type="string" default="">
<cfparam name="URL.ShowAll" type="numeric" default="0">


<!--- If the user has provided criteria... --->
<cfif Form.SearchWords neq "" or URL.ShowAll eq 1>
	<!--- Perform database query --->
	<cfquery name="ProductData" datasource="natestore">
		SELECT Product_Id, Description, Price
		FROM Products
		<cfif URL.ShowAll neq 1>
		WHERE Description LIKE '%#Form.SearchWords#%' 
		</cfif>
		ORDER BY Description
	</cfquery>
</cfif>

<html>
<head>
<title>Untitled Document</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
</head>

<body>

<!--- Search form --->
<form method="post" action="SearchInterface.cfm">
  Search for products:<br>
  <input type="text" name="SearchWords" size="15" value="<cfoutput>#Form.SearchWords#</cfoutput>">
  <input type="submit" value="Search">
	
	<a href="SearchInterface.cfm?ShowAll=1">Show All</a>
</form>


<!--- If the user has provided criteria... --->
<cfif Form.SearchWords neq "" or URL.ShowAll eq 1>
	<cfif ProductData.RecordCount eq 0>
		Sorry, no records found.
	<cfelse>
		<!--- Output info --->
		Here are the products:
		<table>
			<!--- Here's the actual rows of the HTML table, from the query --->
			<cfoutput query="ProductData">
				<tr>
					<td>#Description#</td>
					<td>#DollarFormat(Price)#</td>
					<td><a href="ProductDetail.cfm?Product_ID=#Product_ID#">Detail</a></td>
				</tr>
			</cfoutput>
		</table>
	</cfif>
</cfif>

</body>
</html>
