<!--- Get info from database --->
<cfquery name="EmpData" datasource="Timesheet">
  SELECT Employee_ID, FirstName, LastName, Title 
	FROM Employees
	ORDER BY LastName, FirstName
</cfquery>


<html>
<head>
<title>Employee List</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">

<style type="text/css">
  TH.data {font-family:arial;font-size:14px;background:navy;color:white}
  TD.data {font-family:arial;font-size:14px;background:white}
  TD.data2 {font-family:arial;font-size:14px;background:efefef}
</style>

</head>

<body>

<h2>Current Employees</h2>

<!--- HTML table of records --->
<table width="300">
  <!--- HTML table header --->
	<tr>
		<th class="data">Name</th>
		<th class="data">Title</th>
	</tr>
	<!--- For each record... --->
	<cfoutput query="EmpData">
	  <cfif EmpData.CurrentRow mod 2 neq 0>
		  <cfset className = "data">
		<cfelse>
		  <cfset className = "data2">
		</cfif>
	
		<tr>
			<td class="#className#">#LastName#, #FirstName#</td>
			<td class="#className#">#Title#</td>
		</tr>
	</cfoutput>
</table>

</body>
</html>
