<cfquery name="qEmployees" datasource="Timesheet">
  SELECT Employee_ID,FirstName,LastName
	FROM Employees
	ORDER BY LastName
</cfquery>

<cfquery name="qProjects" datasource="Timesheet">
  SELECT Project_ID,ProjectName
	FROM Projects
	ORDER BY ProjectName
</cfquery>


<html>
<head>
<title>New Work Entry</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
</head>

<body>

<h2>Enter New Work</h2>

<cfform action="NewWorkAction.cfm" method="post">

  <!--- Drop-down for employees --->
  <p>Employee:<br>
	<select name="Employee_ID">
	  <cfoutput query="qEmployees">
		  <option value="#Employee_ID#">#FirstName# #LastName#</option>
		</cfoutput>
	</select>
	
  <!--- Drop-down for projects --->
  <p>Project:<br>
	<select name="Project_ID">
	  <cfoutput query="qProjects">
		  <option value="#Project_ID#">#ProjectName#</option>
		</cfoutput>
	</select>
	
	<!--- Date:Month --->
	<p>Work Date:<br>
	<cfinput 
		name="StartMonth" 
		value="#Month(Now())#" 
		size="2" 
		required="yes" 
		validate="integer">
	
	<!--- Date:Day --->
	<cfinput 
		name="StartDay" 
		value="#Day(Now())#" 
		size="3"
		required="yes"
		validate="integer">
	
	<!--- Date:Year --->
	<cfinput 
		name="StartYear" 
		value="#Year(Now())#" 
		size="4"
		required="yes"
		validate="integer">
	
	
	<!--- Hours Worked --->
	<p>Hours Worked:<br>
	<cfinput 
		type="text" 
		name="HoursWorked" 
		size="1" 
		required="yes" 
		validate="float"
		message="You must provide the number of hours worked"><br>

	<!--- Is It billable? --->
	<input type="checkbox" name="IsBillable" value="1" checked>Billable

	<p>
	<input type="submit" value="Submit Work">
</cfform>

</body>
</html>
