<!--- This page needs a project ID --->
<cfparam name="URL.Project_ID" type="numeric">


<cfquery name="ProjectInfo" datasource="Timesheet">
  SELECT * From Projects
	WHERE Project_ID = #URL.Project_ID#
</cfquery>


<cfquery name="ReportData" datasource="Timesheet">
  SELECT Worklog.*, Employees.FirstName, Employees.LastName, Employees.HourRate
	FROM Worklog, Employees
	WHERE Project_ID = #URL.Project_ID#
	AND Worklog.Employee_ID = Employees.Employee_ID
</cfquery>


<html>
<head>
<title>Untitled Document</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
</head>

<body>

<cfoutput query="ProjectInfo">
  <h2>#ProjectName#</h2>
	Project dates:
  #DateFormat(StartDate)# through #DateFormat(EndDate)#
  <br>Budget: #DollarFormat(Budget)#
  <hr>

</cfoutput>

<cfset GrandTotal = 0>

<table>
  <tr>
	  <th>Employee Name</th>
	  <th>Date Worked</th>
	  <th>Hours Worked</th>
	  <th>Subtotal</th>
	</tr>

   <cfoutput query="ReportData">
	   <tr>
		   <td>#FirstName# #LastName#</td>
		   <td>#DateFormat(DateStarted, "m/d/yyyy")#</td>
		   <td>
			   <cfif IsBillable eq 1>
				   <strong>#HoursWorked#</strong>
         <cfelse>
				   <em>#HoursWorked#</em>
				 </cfif>
			 </td>
		   <td>
			   <cfif IsBillable eq 1>
  			   <cfset Subtotal = HourRate * HoursWorked>
				 <cfelse>
				   <cfset Subtotal = 0>
			   </cfif>
				 
				 <cfset GrandTotal = GrandTotal + Subtotal>
				 
				 #DollarFormat(SubTotal)#
			 </td>
		 </tr>
	 </cfoutput>

</table>

<cfoutput>
Current Budget Status: #DollarFormat(ProjectInfo.Budget - GrandTotal)#
</cfoutput>


</body>
</html>
